Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Transfer.PROPERTY

    java.lang.Object
      java.lang.Enum<Transfer.PROPERTY>
          com.skype.api.Transfer.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Transfer.PROPERTY>

Enclosing class:
  Transfer

    public static enum Transfer.PROPERTY

extends java.lang.Enum<Transfer.PROPERTY>

Properties of the Transfer class

Enum Constant Summary
`bytespersecond` Current data transfer speed in bytes per second.
`bytestransferred` The number of bytes already transferred.
`chatmsg_guid` The "global ID" of this Transfer's associated Message instance.
`chatmsg_index` A more or less arbitrary index for ordering multiple file transfers within the UI.
`convo_id` The "global ID" of this Transfer's associated Conversation (as chained through its associated Message).
`failurereason` Set whenever P_STATUS transitions to FAILED.
`filename` The filename -only- of the file being transfered.
`filepath` The path -and- filename of the file being transfered (typically fully qualified).
`filesize` The size of the file being transferred in bytes.
`finishtime` UNIX timestamp of when this Transfer COMPLETED or FAILED.
`partner_dispname` Display name of the remote participant.
`partner_handle` Skype Name of the remote party of the file transfer.
`starttime` UNIX timestamp of when this Transfer instance was instantiated, not when the transfer process actually started (was accepted from receiver side).
`status` Current state of the transfer , type: STATUS
`type` INCOMING / OUTGOING , type: TYPE

Method Summary
`static Transfer.PROPERTY` | `fromString(java.lang.String s)`
`static Transfer.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Transfer.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Transfer.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### type

    public static final Transfer.PROPERTY type

  INCOMING / OUTGOING
  , type: TYPE

### partner_handle

    public static final Transfer.PROPERTY partner_handle

  Skype Name of the remote party of the file transfer. If a file is posted in a conversation with more than one participant, Transfer objects are created for each of them - so a transfer is always to one single remote target.
  , type: String

### partner_dispname

    public static final Transfer.PROPERTY partner_dispname

  Display name of the remote participant.
  , type: String

### status

    public static final Transfer.PROPERTY status

  Current state of the transfer
  , type: STATUS

### failurereason

    public static final Transfer.PROPERTY failurereason

  Set whenever P_STATUS transitions to FAILED.
  , type: FAILUREREASON

### starttime

    public static final Transfer.PROPERTY starttime

  UNIX timestamp of when this Transfer instance was instantiated, not when the transfer process actually started (was accepted from receiver side). Do not use this property when calculate the data transfer speed! Instead, monitor changes to P_BYTESPERSECOND.
  , type: int

### finishtime

    public static final Transfer.PROPERTY finishtime

  UNIX timestamp of when this Transfer COMPLETED or FAILED. This property is never set if the receiving side (local or remote) canceled the transfer.
  , type: int

### filepath

    public static final Transfer.PROPERTY filepath

  The path -and- filename of the file being transfered (typically fully qualified). For the receiver, SkypeKit sets this property upon acceptance of the incoming transfer. If not fully qualified, the path is assumed to be relative to the path of the SkypeKit runtime.
  , type: String

### filename

    public static final Transfer.PROPERTY filename

  The filename -only- of the file being transfered. The receiver side can use this property to pre-populate relevant UI components while prompting the user to accept the incoming transfer.
  , type: String

### filesize

    public static final Transfer.PROPERTY filesize

  The size of the file being transferred in bytes. Depending on the magnitude of this value, your UI might want to display the size in terms of kilobytes or even megabytes.
  , type: String

### bytestransferred

    public static final Transfer.PROPERTY bytestransferred

  The number of bytes already transferred. Calculate the percentage of the file transferred so far as:
  @code
  P_BYTESTRANSFERRED / (P_FILESIZE / 100);
  Use float variables to avoid problems with files smaller than 100 bytes!
  , type: String

### bytespersecond

    public static final Transfer.PROPERTY bytespersecond

  Current data transfer speed in bytes per second. Typically, your UI will want to display this value as kilobytes per second (KBps).
  , type: int

### chatmsg_guid

    public static final Transfer.PROPERTY chatmsg_guid

  The "global ID" of this Transfer's associated Message instance. GUIDs are shared across Skype client instances and across all users that can see this Message.
  , type: byte[]

### chatmsg_index

    public static final Transfer.PROPERTY chatmsg_index

  A more or less arbitrary index for ordering multiple file transfers within the UI.
  , type: int

### convo_id

    public static final Transfer.PROPERTY convo_id

  The "global ID" of this Transfer's associated Conversation (as chained through its associated Message). GUIDs are shared across Skype client instances and across all users that can see this Conversation.
  Note that currently SkypeKit sets this property for INCOMING file transfers only and returns 0 (zero) for all sending side transfers. This is a known bug.
  , type: Conversation

Method Detail

### values

    public static Transfer.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transfer.PROPERTY c : Transfer.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transfer.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Transfer.PROPERTY get(int code)

### fromString

    public static Transfer.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.